<section class="content">
    <section class="invoice">

        <form [formGroup]="signatureForm" novalidate>
            <div class="row">
                <div class="col-xs-12">
                    <h2 class="page-header">
                        <i class="fa fa-id-card"></i> {{ title }}
                    </h2>
                </div>
            </div>

            <div class="row">
                <div class="form-group">
                    <label class="col-md-12 control-label">Token * </label>
                    <div class="col-md-12">
                        <pdf-input-container errorMessage="Token is required" label="Nonce">
                            <input type="text" class="form-control" formControlName="token" placeholder="Enter the token value" autocomplete="off">
                        </pdf-input-container>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-xs-12 col-sm-12">
                    <p class="lead">Signature settings:</p>
                </div>
                <div class="col-sm-6 col-xs-12">
                    <label>Select a certificate: </label>
                    <select class="form-control" id="select-certificado-list" (change)="fillCertificateDataForm();"></select>
                </div>
                <div class="col-sm-3 col-xs-12">
                    <label>Refresh</label>
                </div>
                <div class="col-sm-6 col-xs-12">
                    <a class="btn btn-default" href="#" (click)="listCertificates()"><span class="glyphicon glyphicon-refresh"></span></a>
                </div>
            </div>
            <br>
            <div class="row">
                <div class="col-sm-12 col-xs-12">
                    <label>Certificate (Base64) *</label>
                    <input class="form-control" formControlName="certificate" #base64Certificate id="input-dados-certificado" placeholder="Certificate" autocomplete="off" readonly>
                </div>
            </div>
            <br>
            <div class="row">
                <div class="col-sm-6 col-xs-12">
                    <label>Profile </label>
                    <input type="text" class="form-control" formControlName="profile" placeholder="Profile" autocomplete="off" value="BASIC" readonly>
                </div>

                <div class="col-sm-6 col-xs-12">
                    <label>Hash Algorithm *</label>
                    <pdf-input-container errorMessage="Hash value is required" label="HashAlgorithm">
                        <input type="text" class="form-control" formControlName="hashAlgorithm" placeholder="SHA1, SHA256 ou SHA512" autocomplete="off">
                    </pdf-input-container>
                </div>
            </div>


            <div class="row">
                <div class="col-xs-12">
                    <p class="lead">Document settings:</p>
                </div>
                <div class="col-sm-3 col-xs-12">
                    <label>Document *</label>
                    <pdf-input-container errorMessage="Document is required" label="Document">
                        <input (change)=upload($event) #file type="file" accept=".pdf" class="form-control" formControlName="file" placeholder="Document" autocomplete="off">
                    </pdf-input-container>
                </div>

            </div>

            <div class="row">
                <div class="col-xs-12">
                    <p class="lead">Image settings:</p>
                </div>
                <div class="col-sm-3 col-xs-12">
                    <label>Image</label>
                    <input (change)=uploadImage($event) #image type="file" accept=".jpeg, .jpg, .png, .bmp" class="form-control" formControlName="image" placeholder="Image" autocomplete="off">
                </div>

            </div>
            <br>
            <div *ngIf="imageUpload">
                <div class="row">
                    <div class="col-sm-3 col-xs-12">
                        <label>Height (millimeters: mm) </label>
                        <input type="text" class="form-control" formControlName="height" placeholder="Height" value="60" autocomplete="off" readonly>
                    </div>

                    <div class="col-sm-3 col-xs-12">
                        <label>Width (millimeters: mm) </label>
                        <input type="text" class="form-control" formControlName="width" placeholder="Width" autocomplete="off" value="170" readonly>
                    </div>

                    <div class="col-sm-3 col-xs-12">
                        <label>Position </label>
                        <input type="text" class="form-control" formControlName="position" placeholder="Position" autocomplete="off" value="INFERIOR_ESQUERDO" readonly>
                    </div>

                    <div class="col-sm-3 col-xs-12">
                        <label>Page </label>
                        <input type="text" class="form-control" formControlName="page" placeholder="Page" autocomplete="off" value="PRIMEIRA" readonly>
                    </div>


                </div>
            </div>


            <div class="row" *ngIf="signature">
                <div class="form-group">
                    <label class="col-md-12 control-label">Signature: </label>
                    <div class="col-md-12">
                        <textarea type="text" rows="5" formControlName="signature" class="form-control" value=""></textarea>
                    </div>
                </div>
            </div>

        </form>

        <br>
        <div class="row">
            <div class="col-xs-12" *ngIf="!signature">
                <button (click)="initialize(signatureForm, base64Certificate.value)" class="btn btn-primary pull-right" [disabled]="!signatureForm.valid">
                  <i class="fa fa-play-circle"></i> Sign
              </button>
            </div>
            <div class="col-xs-12" *ngIf="signature">
                <div class="pull-right">
                    <button (click)="clear()" type="button" class="btn btn-primary"><i class="fa fa-trash"></i> Clear</button>
                </div>
            </div>
        </div>


    </section>
</section>